geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From anita kulshreshtha <a_kuls...@yahoo.com>
Subject Re: Make trunk 1.5 only!
Date Mon, 27 Nov 2006 19:30:43 GMT
   I did not think that changing <source> from 1.4 to 1.5 will cause
any problems. I tried it anyway.. The security module is giving
problem:

[INFO]
------------------------------------------------------------------------
[ERROR] BUILD FAILURE
[INFO]
------------------------------------------------------------------------
[INFO] Compilation failure

C:\anita\geronimo\g2.0\modules\geronimo-security\src\main\java\org\apache\geronimo\securit
y\ContextManager.java:[256,32] cannot find symbol
symbol  : method
getPrincipals(java.lang.Class<org.apache.geronimo.security.realm.provider
s.GeronimoCallerPrincipal>)
location: class javax.security.auth.Subject
   This compiles with source as 1.4. Any ideas?

Thanks
Anita

--- Paul McMahan <paulmcmahan@gmail.com> wrote:

> OK I misread your suggestion to say that the change should be made
> "at
> least on trunk". Now I realize you mean to change at least <target>
> if
> not also <source> in the pom.xml.   Why not change them both?
> 
> Paul
> 
> On 11/27/06, anita kulshreshtha <a_kulshre@yahoo.com> wrote:
> >    IIUC, the branches/1.2 will always be 1.4 with an ability to run
> the
> > server in 1.5.
> >
> > Thanks
> > Anita
> >
> > --- Paul McMahan <paulmcmahan@gmail.com> wrote:
> >
> > > On 11/27/06, anita kulshreshtha <a_kulshre@yahoo.com> wrote:
> > > >    I would like to change (at least) the target to 1.5 in the
> > > trunk.
> > > >    comments?
> > >
> > > +1 on changing the target to 1.5 in trunk.  I think the branches
> > > should stay at 1.4 for now.
> > >
> > > Best wishes,
> > > Paul
> 



 
____________________________________________________________________________________
Do you Yahoo!?
Everyone is raving about the all-new Yahoo! Mail beta.
http://new.mail.yahoo.com

Mime
View raw message